%demoPCA

disp('*****************************************************');
disp('* Demo of robust estimation of principal components *')
disp('*****************************************************');

%load data
load data %load X Xt
[M,N]=size(X);
K=12;

figure;dispImgs(X);set(gcf,'Name','X - original images');
disp('Displaying training images. Press any key to continue.');
pause

%perform PCA
[Xm,U,L]=pca(X);
U=U(:,1:K);

%compute and reconstruct vectors of principal components
A=is2fs(X,Xm,U);
Y=fs2is(A,Xm,U);
figure;dispImgs(Y);set(gcf,'Name','Ygt - rec. original');
disp('Displaying reconstructed original images. Press any key to continue.');
pause

figure;dispImgs(Xt);set(gcf,'Name','Xt - occluded images');
disp('Displaying occluded images. Press any key to continue.');
pause

Anr=is2fs(Xt,Xm,U);
Ynr=fs2is(Anr,Xm,U);
figure;dispImgs(Ynr);set(gcf,'Name','Ynr - non-rob. rec.');
disp('Displaying non-robustly reconstructed occluded images. Press any key to continue.');
pause

Ar=is2fsrob(Xt,Xm,U,L);
Yr=fs2is(Ar,Xm,U);
figure;dispImgs(Yr);set(gcf,'Name','Yr - rob. rec.');
disp('Displaying robustly reconstructed occluded images. Press any key to continue.');
pause

disp('Displaying original, occluded, rec. original, non-rob. rec. occluded, and rob. rec. occluded image.');
figure;dispImgs([X(:,1),Xt(:,1),Y(:,1),Ynr(:,1),Yr(:,1)],5,1);set(gcf,'Name','Comparison - X,Xt,Y,Ynr,Yr');


return;
if 1==0
   %load images
   STEPD=12;
   idxs=[0:STEPD:359];
   X=loadImgs('c:/danijels/Matlab/data/rsbaza/o02_','%03d','G.bmp',idxs);
   X=resizeImgs(X,.5);
   [Xt,OL]=addOL(X,2,.15,.999999);
end
