function XX=dispImgs(X,cols,gap,ihw)
%DISPIMGS  Display arranged images.
%   dispImgs(X,cols,gap,ihw) displays the columns of the matrix X as images.
%   All images are displayed together in one figure window in cols columns.
%   gap is the gap between the images (in pixels). ihw is 1x2 vector containing
%   image dimensions. The parameters cols, gap, and ihw are optional.


[M,N]=size(X);
if nargin<2 cols=floor(sqrt(N)); end;
if nargin<3 gap=0; end;
if nargin<4 ihw=[sqrt(M),sqrt(M)]; end;

ih=ihw(1);iw=ihw(2);
maxv=max(X(:));
rows=floor(N/cols);
XX=zeros((rows*ih)+(rows-1)*gap,(cols*iw)+(cols-1)*gap)+maxv;

for i=1:N
   a=(iw+gap)*mod(i-1,cols)+1;
   b=(iw+gap)*mod(i-1,cols)+iw;
   c=(ih+gap)*(floor((i-1)/cols))+1;
   d=(ih+gap)*(floor((i-1)/cols))+ih;
   XX(c:d,a:b)=reshape(X(:,i)',ih,iw);
end;

xxmax=max(XX(:));
xxmin=min(XX(:));

imshow((XX-xxmin)/(xxmax-xxmin));
axis off;
