function X=fs2is(A,Xm,U);
%FS2IS  Map from feature space to image space.
%   X = fs2is(A,Xm,U) reconstructs image(s) X from the coefficient vector(s) A.
%   Xm is the mean image, U are the basis vectors of the feature space.
%   Each column of A is a vector in the feature space and each column in X is a
%   corresponding vector representing a reconstructed image.
  
N=size(A,2);
X=U*A+repmat(Xm,1,N);
