function A=is2fs(X,Xm,U);
%IS2FS  Map from image space to feature space.
%   A = is2fs(X,Xm,U) maps image(s) in X from the image space to the feature space.
%   Xm is the mean image, U are the basis vectors of the feature space.
%   Each column of X is a vector representing an image and each column in A is 
%   a corresponding coefficient vector in the feature space.

[M,N]=size(X);
if Xm==0 Xm=zeros(M,1); end
A=U'*(X-repmat(Xm,1,N));

